Bug 196597 - sis 7012 soundcard not working
sis 7012 soundcard not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Brian Brock
bzcl34nup
:
: 239935 (view as bug list)
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2006-06-25 13:22 EDT by Olivier
Modified: 2013-01-13 08:13 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:01:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (58.11 KB, text/plain)
2006-06-25 13:22 EDT, Olivier
no flags Details
scsconfig.log (38.39 KB, text/plain)
2006-11-25 14:02 EST, Vedran Miletić
no flags Details
scsrun.log (195 bytes, text/plain)
2006-11-25 14:03 EST, Vedran Miletić
no flags Details

  None (edit)
Description Olivier 2006-06-25 13:22:28 EDT
Sound is broken ... with a  chipset sis 7012
Comment 1 Olivier 2006-06-25 13:22:28 EDT
Created attachment 131500 [details]
log file
Comment 2 Rahul Sundaram 2006-07-20 19:57:41 EDT

Reassigning to the kernel assuming that sound is broken in all applications
rather than just sound juicer
Comment 3 Dave Jones 2006-09-17 01:45:50 EDT
Please attach output of dmesg
Comment 4 Vedran Miletić 2006-11-25 14:01:30 EST
I have the same problem. This is some SiS-chipset based ASUS A9something 
laptop. I can assure that module loads,  and that everything in alsamixer is 
unmuted. But I hear no sound. I tried changing every possible setting.

P.S. It worked right in FC5. Weird, huh?
Comment 5 Vedran Miletić 2006-11-25 14:02:45 EST
Created attachment 142120 [details]
scsconfig.log
Comment 6 Vedran Miletić 2006-11-25 14:03:39 EST
Created attachment 142121 [details]
scsrun.log
Comment 7 Armijn Hemel 2007-01-03 19:26:50 EST
I have similar issues with a Packard Bell laptop, which also has this card
onboard. Everything seems to be just fine, but there is no sound. It does work
fine on that other operating system. If I can do anything to track this problem,
apart from sending the laptop (even though dropping by at the Dutch Red Hat
office should not be a problem) please let me know.

This bug has some unwanted side effects (namely upsetting my mum) when combined
with a Logitech Quickcam Sphere attached at boottime, GNOME and Firefox with the
proprietary Flash plugin (it makes Firefox crash, took me days to find out).
Comment 8 Vedran Miletić 2007-05-21 16:04:55 EDT
Anyone tried newer kernel or newer ALSA?
Comment 9 Martin Stransky 2007-05-22 09:58:44 EDT
*** Bug 239935 has been marked as a duplicate of this bug. ***
Comment 10 pankaj 2007-11-17 23:59:16 EST
i have intel chipset945. when i use windows sound work fine but when i use
fedora sound is not working.....
 
Comment 11 Warren Togami 2007-11-19 11:00:50 EST
> i have intel chipset945. when i use windows sound work fine but when i use
> fedora sound is not working.....

This bug is about SIS 7012 audio, not Intel.  Furthermore, Intel 945 is *well*
tested and supported by our drivers.  If it doesn't work for you, it is likely
that user error (mixer is muted, etc.)
Comment 12 Bug Zapper 2008-04-03 23:10:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Leo Way 2008-04-15 01:19:45 EDT
Now ,sis7012 sound support  bug as  this report  still  being  in Fedora 8.  
Comment 14 Vedran Miletić 2008-04-16 16:13:15 EDT
Can you try Fedora rawhide? I would love to, but I don't have that laptop anymore.
Comment 15 Vedran Miletić 2008-05-02 14:32:53 EDT
I have (desktop board) with:
Card: SiS SI7012
Chip: Analog Devices AD1888
and it works. So I guess it's just some chips that don't work (reporter has
STAC9758,59), while SiS SI7012 works OK.
Comment 16 Vedran Miletić 2008-05-22 13:42:11 EDT
This is still an issue in FC9. Last time this was not an issue was FC5 with
stock kernel, updates broke it.

I have a laptop to test this again:

[andrea@andrea-laptop ~]$ /sbin/lspci 
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 661FX/M661FX/M661MX Host
(rev 11)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS AGP Port (virtual
PCI-to-PCI bridge)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS964 [MuTIOL Media IO]
(rev 36)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev 01)
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev a0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97
Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast
Ethernet (rev 90)
00:09.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
00:09.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
00:09.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host
Adapter (rev 17)
00:09.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter
(rev 08)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760
PCI/AGP or 662/761Gx PCIE VGA Display Adapter

ACPI: PCI Interrupt 0000:00:02.6[C] -> GSI 18 (level, low) -> IRQ 18
ALSA sound/pci/ac97/ac97_codec.c:2152: MC'97 1 converters and GPIO not ready
(0xff00)
ACPI: PCI Interrupt 0000:00:02.7[C] -> GSI 18 (level, low) -> IRQ 18
ALSA sound/pci/ac97/ac97_codec.c:2120: AC'97 0 analog subsections not ready
intel8x0_measure_ac97_clock: measured 50978 usecs
intel8x0: measured clock 117 rejected
intel8x0: clocking to 48000

Anything else? Anyone willing to take a look?
Comment 17 Armijn Hemel 2008-05-24 10:34:11 EDT
I am still seeing this problem on one of my laptops. Output of lspci (seems to
be nearly or exactly identical to the dump in the previous comment):

00:00.0 Host bridge: Silicon Integrated Systems [SiS] 661FX/M661FX/M661MX Host
(rev 11)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS AGP Port (virtual
PCI-to-PCI bridge)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS964 [MuTIOL Media IO]
(rev 36)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev 01)
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller (rev a0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97
Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast
Ethernet (rev 90)
00:09.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
00:09.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
00:09.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host
Adapter (rev 17)
00:09.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter
(rev 08)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760
PCI/AGP or 662/761Gx PCIE VGA Display Adapter

Could someone who is authorized reassign this one to Fedora 9?
Comment 18 Peter van Egdom 2008-06-02 14:20:53 EDT
Changing version from "8" to "9" as per comment #16 and comment #17.
Comment 19 Jaroslav Kysela 2008-06-17 05:44:57 EDT
Could you try to disable snd-intel8x0m (modem) module?
Comment 20 Vedran Miletić 2009-05-09 06:40:18 EDT
If I manage to reach this laptop anytime soon, I will try it.
Comment 21 Bug Zapper 2009-06-09 18:11:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2009-07-14 13:01:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.